testing::Message Class Reference

`#include <gtest.h>`

## Public Member Functions

| Message ()
| Message (const Message &msg)
| Message (const char *str)
template<typename T >
Message & | operator<< (const T &val)
template<typename T >
Message & | operator<< (T *const &pointer)
Message & | operator<< (BasicNarrowIoManip val)
Message & | operator<< (bool b)
Message & | operator<< (const wchar_t *wide_c_str)
Message & | operator<< (wchar_t *wide_c_str)
Message & | operator<< (const ::std::wstring &wstr)
std::string | GetString () const

## Detailed Description

Definition at line 2644 of file gtest.h.

## Constructor & Destructor Documentation

## Message() [1/3]

testing::Message::Message | ( |  | ) |

## Message() [2/3]

testing::Message::Message | ( | const Message & | msg | ) |

inline

Definition at line 2655 of file gtest.h.

## Message() [3/3]

testing::Message::Message | ( | const char * | str | ) |

inlineexplicit

Definition at line 2660 of file gtest.h.

## Member Function Documentation

## GetString()

std::string testing::Message::GetString | ( |  | ) | const

## operator<<() [1/7]

template<typename T >

Message& testing::Message::operator<< | ( | const T & | val | ) |

inline

Definition at line 2666 of file gtest.h.

## operator<<() [2/7]

template<typename T >

Message& testing::Message::operator<< | ( | T *const & | pointer | ) |

inline

Definition at line 2700 of file gtest.h.

## operator<<() [3/7]

Message& testing::Message::operator<< | ( | BasicNarrowIoManip | val | ) |

inline

Definition at line 2715 of file gtest.h.

## operator<<() [4/7]

Message& testing::Message::operator<< | ( | bool | b | ) |

inline

Definition at line 2721 of file gtest.h.

## operator<<() [5/7]

Message& testing::Message::operator<< | ( | const wchar_t * | wide_c_str | ) |

## operator<<() [6/7]

Message& testing::Message::operator<< | ( | wchar_t * | wide_c_str | ) |

## operator<<() [7/7]

Message& testing::Message::operator<< | ( | const ::std::wstring & | wstr | ) |

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h